import 'package:mysqr/data_layer/model/venue_detail.dart';
import 'dart:convert' show json;

final VenueDetail sampleVenueDetail = VenueDetail.fromJson(json.decode(''' 
{
    "id":"4ccb243e52af9c749123a964",
    "name":"Milad Tower | برج میلاد (برج میلاد)",
    "contact":{
        "phone":"+98218585",
        "formattedPhone":"+98 21 8585"
    },
    "location":{
        "address":"Hakim Hwy.",
        "lat":35.744843,
        "lng":51.375454,
        "labeledLatLngs":[
            {
                "label":"display",
                "lat":35.744843,
                "lng":51.375454
            }
        ],
        "cc":"IR",
        "city":"تهران",
        "state":"تهران",
        "country":"ایران",
        "formattedAddress":[
            "Hakim Hwy.",
            "تهران, تهران",
            "ایران"
        ]
    },
    "canonicalUrl":"https:\/\/foursquare.com\/v\/milad-tower--%D8%A8%D8%B1%D8%AC-%D9%85%DB%8C%D9%84%D8%A7%D8%AF\/4ccb243e52af9c749123a964",
    "categories":[
        {
            "id":"4bf58dd8d48988d12d941735",
            "name":"Monument \/ Landmark",
            "pluralName":"Monuments \/ Landmarks",
            "shortName":"Landmark",
            "icon":{
                "prefix":"https:\/\/ss3.4sqi.net\/img\/categories_v2\/building\/government_monument_",
                "suffix":".png"
            },
            "primary":true
        },
        {
            "id":"4bf58dd8d48988d165941735",
            "name":"Scenic Lookout",
            "pluralName":"Scenic Lookouts",
            "shortName":"Scenic Lookout",
            "icon":{
                "prefix":"https:\/\/ss3.4sqi.net\/img\/categories_v2\/parks_outdoors\/sceniclookout_",
                "suffix":".png"
            }
        }
    ],
    "verified":false,
    "stats":{
        "tipCount":203,
        "usersCount":0,
        "checkinsCount":0,
        "visitsCount":0
    },
    "url":"http:\/\/www.tehranmiladtower.ir",
    "likes":{
        "count":1558,
        "groups":[
            {
                "type":"others",
                "count":1558,
                "items":[
                    
                ]
            }
        ],
        "summary":"1558 Likes"
    },
    "dislike":false,
    "ok":false,
    "rating":8.5,
    "ratingColor":"73CF42",
    "ratingSignals":1930,
    "beenHere":{
        "count":0,
        "unconfirmedCount":0,
        "marked":false,
        "lastCheckinExpiredAt":0
    },
    "specials":{
        "count":0,
        "items":[
            
        ]
    },
    "photos":{
        "count":3896,
        "groups":[
            {
                "type":"venue",
                "name":"Venue photos",
                "count":3896,
                "items":[
                    {
                        "id":"5140979ce4b0da62c61978e9",
                        "createdAt":1363187612,
                        "source":{
                            "name":"Instagram",
                            "url":"http:\/\/instagram.com"
                        },
                        "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
                        "suffix":"\/19820653_Z0n3V0ulPjpwX_wxWVEHj0_wkwasliQt0j0J0XxLlsA.jpg",
                        "width":612,
                        "height":612,
                        "user":{
                            "isSanctioned":false,
                            "firstName":"Fareed",
                            "lastName":"J",
                            "countryCode":"IR"
                        },
                        "visibility":"public"
                    }
                ]
            }
        ]
    },
    "reasons":{
        "count":1,
        "items":[
            {
                "summary":"Lots of people like this place",
                "type":"general",
                "reasonName":"rawLikesReason"
            }
        ]
    },
    "hereNow":{
        "count":0,
        "summary":"Nobody here",
        "groups":[
            
        ]
    },
    "createdAt":1288381502,
    "tips":{
        "count":203,
        "groups":[
            {
                "type":"others",
                "name":"All tips",
                "count":203,
                "items":[
                    {
                        "id":"50b0f591e4b0a2172df3834d",
                        "createdAt":1353774481,
                        "text":"یه تجربه خوب مخصوصا وقتی هوای تهران تمیز باشه",
                        "type":"user",
                        "canonicalUrl":"https:\/\/foursquare.com\/item\/50b0f591e4b0a2172df3834d",
                        "photo":{
                            "id":"50b0f59be4b0a0a302714be3",
                            "createdAt":1353774491,
                            "source":{
                                "name":"Foursquare for Android",
                                "url":"https:\/\/foursquare.com\/download\/#\/android"
                            },
                            "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
                            "suffix":"\/42018149_e2rGjo8nmHSYpPAg6bg5DSQHEfKYRNNd68ioINi8pWM.jpg",
                            "width":643,
                            "height":643,
                            "visibility":"public"
                        },
                        "photourl":"https:\/\/fastly.4sqi.net\/img\/general\/original\/42018149_e2rGjo8nmHSYpPAg6bg5DSQHEfKYRNNd68ioINi8pWM.jpg",
                        "lang":"fa",
                        "likes":{
                            "count":69,
                            "groups":[
                                {
                                    "type":"others",
                                    "count":69,
                                    "items":[
                                        
                                    ]
                                }
                            ],
                            "summary":"69 likes"
                        },
                        "logView":true,
                        "agreeCount":68,
                        "disagreeCount":0,
                        "todo":{
                            "count":0
                        },
                        "user":{
                            "isSanctioned":false,
                            "firstName":"Kimiya",
                            "lastName":"M",
                            "countryCode":"IR"
                        }
                    }
                ]
            }
        ]
    },
    "shortUrl":"http:\/\/4sq.com\/cgw4sD",
    "timeZone":"Asia\/Tehran",
    "listed":{
        "count":88,
        "groups":[
            {
                "type":"others",
                "name":"Lists from other people",
                "count":88,
                "items":[
                    {
                        "id":"518ad099498eb6a77d076c83",
                        "name":"Tehran",
                        "description":"",
                        "type":"others",
                        "user":{
                            "isSanctioned":false,
                            "firstName":"HOOMAN",
                            "lastName":"J",
                            "countryCode":"IR"
                        },
                        "editable":false,
                        "public":true,
                        "collaborative":false,
                        "url":"\/user\/34910118\/list\/tehran",
                        "canonicalUrl":"https:\/\/foursquare.com\/user\/34910118\/list\/tehran",
                        "createdAt":1368051865,
                        "updatedAt":1457602678,
                        "photo":{
                            "id":"5188fbf6498e4ba501744281",
                            "createdAt":1367931894,
                            "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
                            "suffix":"\/1844478_ym2EUSiuwgrwza5MK3l-ni5EnklyX2HU3CdZwQFyrVg.jpg",
                            "width":1920,
                            "height":1440,
                            "user":{
                                "isSanctioned":false,
                                "firstName":"Reza",
                                "lastName":"H",
                                "countryCode":"AU"
                            },
                            "visibility":"public"
                        },
                        "followers":{
                            "count":41
                        },
                        "listItems":{
                            "count":196,
                            "items":[
                                {
                                    "id":"v4ccb243e52af9c749123a964",
                                    "createdAt":1368590370
                                }
                            ]
                        }
                    },
                    {
                        "id":"53427771498e271e54f17c99",
                        "name":"Tehran Sights | دیدنی های تهران",
                        "description":"",
                        "type":"others",
                        "user":{
                            "isSanctioned":false,
                            "firstName":"Alireza",
                            "countryCode":"IR"
                        },
                        "editable":false,
                        "public":true,
                        "collaborative":false,
                        "url":"\/alirezafoodie\/list\/tehran-sights--%D8%AF%DB%8C%D8%AF%D9%86%DB%8C-%D9%87%D8%A7%DB%8C-%D8%AA%D9%87%D8%B1%D8%A7%D9%86",
                        "canonicalUrl":"https:\/\/foursquare.com\/alirezafoodie\/list\/tehran-sights--%D8%AF%DB%8C%D8%AF%D9%86%DB%8C-%D9%87%D8%A7%DB%8C-%D8%AA%D9%87%D8%B1%D8%A7%D9%86",
                        "createdAt":1396864881,
                        "updatedAt":1581178972,
                        "photo":{
                            "id":"520a3ab911d2c708f4de2565",
                            "createdAt":1376402105,
                            "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
                            "suffix":"\/58284448_XrgeQQ_Mq6ZyLGRSeGWHy7QMis2TDdllKOMkU6vXWEk.jpg",
                            "width":960,
                            "height":720,
                            "user":{
                                "isSanctioned":false,
                                "firstName":"Anita",
                                "lastName":"M",
                                "countryCode":"IR"
                            },
                            "visibility":"public"
                        },
                        "followers":{
                            "count":12
                        },
                        "listItems":{
                            "count":160,
                            "items":[
                                {
                                    "id":"v4ccb243e52af9c749123a964",
                                    "createdAt":1398142873,
                                    "photo":{
                                        "id":"514e0bc3e4b08621ad090125",
                                        "createdAt":1364069315,
                                        "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
                                        "suffix":"\/51436112_iQFWutshd7MgFO7eQsnATuH9syZLt4ezBqzllUUu6rE.jpg",
                                        "width":720,
                                        "height":720,
                                        "user":{
                                            "isSanctioned":false,
                                            "firstName":"Mani",
                                            "lastName":"Y",
                                            "countryCode":"IR"
                                        },
                                        "visibility":"public"
                                    }
                                }
                            ]
                        }
                    },
                    {
                        "id":"58e1df6d9b615c3bbdd28135",
                        "name":"Fun, Park & Garden in Tehran",
                        "description":"",
                        "type":"others",
                        "user":{
                            "isSanctioned":false,
                            "firstName":"AmirAli",
                            "lastName":"G",
                            "address":"",
                            "city":"",
                            "state":""
                        },
                        "editable":false,
                        "public":true,
                        "collaborative":false,
                        "url":"\/user\/356534620\/list\/fun-park--garden-in-tehran",
                        "canonicalUrl":"https:\/\/foursquare.com\/user\/356534620\/list\/fun-park--garden-in-tehran",
                        "createdAt":1491197805,
                        "updatedAt":1534531053,
                        "photo":{
                            "id":"5190f41d498e8b59424d0a48",
                            "createdAt":1368454173,
                            "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
                            "suffix":"\/51325100_MEcB71fvBo9fxfpn_SSzorn_StxP-DMDhfD6sjpsjSw.jpg",
                            "width":720,
                            "height":960,
                            "user":{
                                "isSanctioned":false,
                                "firstName":"Ashkan",
                                "lastName":"T",
                                "countryCode":"CA"
                            },
                            "visibility":"public"
                        },
                        "followers":{
                            "count":7
                        },
                        "listItems":{
                            "count":63,
                            "items":[
                                {
                                    "id":"v4ccb243e52af9c749123a964",
                                    "createdAt":1491197938
                                }
                            ]
                        }
                    },
                    {
                        "id":"5639fdf4498e324c656cd7fe",
                        "name":"THR #TEHRAN",
                        "description":"TEHRAN \u2013 Food Spots, Hotels, Sightseeing, Places to go, and many more. Follow my list and be perfectly prepared.",
                        "type":"others",
                        "user":{
                            "isSanctioned":false,
                            "firstName":"Caroline",
                            "countryCode":"DE"
                        },
                        "editable":false,
                        "public":true,
                        "collaborative":false,
                        "url":"\/user\/2388068\/list\/thr-tehran",
                        "canonicalUrl":"https:\/\/foursquare.com\/user\/2388068\/list\/thr-tehran",
                        "createdAt":1446641140,
                        "updatedAt":1446642379,
                        "photo":{
                            "id":"51a887f3498e75eba3b0e8b2",
                            "createdAt":1369999347,
                            "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
                            "suffix":"\/54140321_5-OwU9qQvrbcTGurJbiPiIsKbLPtjGb1GeJOkHHSWuI.jpg",
                            "width":612,
                            "height":612,
                            "user":{
                                "isSanctioned":false,
                                "firstName":"Raouf",
                                "lastName":"E",
                                "countryCode":"TR"
                            },
                            "visibility":"public"
                        },
                        "followers":{
                            "count":8
                        },
                        "listItems":{
                            "count":17,
                            "items":[
                                {
                                    "id":"v4ccb243e52af9c749123a964",
                                    "createdAt":1446642061
                                }
                            ]
                        }
                    }
                ]
            }
        ]
    },
    "popular":{
        "status":"Likely open",
        "richStatus":{
            "entities":[
                
            ],
            "text":"Likely open"
        },
        "isOpen":true,
        "isLocalHoliday":false,
        "timeframes":[
            {
                "days":"Today",
                "includesToday":true,
                "open":[
                    {
                        "renderedTime":"11:00 AM\u201311:00 PM"
                    }
                ],
                "segments":[
                    
                ]
            },
            {
                "days":"Fri",
                "open":[
                    {
                        "renderedTime":"Noon\u201311:00 PM"
                    }
                ],
                "segments":[
                    
                ]
            },
            {
                "days":"Sat\u2013Sun",
                "open":[
                    {
                        "renderedTime":"5:00 PM\u201310:00 PM"
                    }
                ],
                "segments":[
                    
                ]
            },
            {
                "days":"Mon",
                "open":[
                    {
                        "renderedTime":"5:00 PM\u201310:00 PM"
                    }
                ],
                "segments":[
                    
                ]
            },
            {
                "days":"Tue",
                "open":[
                    {
                        "renderedTime":"Noon\u20131:00 PM"
                    },
                    {
                        "renderedTime":"4:00 PM\u201310:00 PM"
                    }
                ],
                "segments":[
                    
                ]
            },
            {
                "days":"Wed",
                "open":[
                    {
                        "renderedTime":"4:00 PM\u201311:00 PM"
                    }
                ],
                "segments":[
                    
                ]
            }
        ]
    },
    "seasonalHours":[
        
    ],
    "pageUpdates":{
        "count":0,
        "items":[
            
        ]
    },
    "inbox":{
        "count":0,
        "items":[
            
        ]
    },
    "venueChains":[
        
    ],
    "attributes":{
        "groups":[
            {
                "type":"wifi",
                "name":"Wi-Fi",
                "summary":"Free Wi-Fi",
                "count":1,
                "items":[
                    {
                        "displayName":"Wi-Fi",
                        "displayValue":"Free"
                    }
                ]
            }
        ]
    },
    "bestPhoto":{
        "id":"5140979ce4b0da62c61978e9",
        "createdAt":1363187612,
        "source":{
            "name":"Instagram",
            "url":"http:\/\/instagram.com"
        },
        "prefix":"https:\/\/fastly.4sqi.net\/img\/general\/",
        "suffix":"\/19820653_Z0n3V0ulPjpwX_wxWVEHj0_wkwasliQt0j0J0XxLlsA.jpg",
        "width":612,
        "height":612,
        "visibility":"public"
    },
    "colors":{
        "highlightColor":{
            "photoId":"5140979ce4b0da62c61978e9",
            "value":-15202296
        },
        "highlightTextColor":{
            "photoId":"5140979ce4b0da62c61978e9",
            "value":-1
        },
        "algoVersion":3
    }
}'''));
